package com.cool.store.service;

import com.cool.store.dto.content.ContentAddDto;
import com.cool.store.dto.content.ContentQueryListDto;
import com.cool.store.dto.content.ContentUpdateDto;
import com.cool.store.entity.HyContentInfoDO;
import com.cool.store.exception.ApiException;
import com.cool.store.vo.HyContentInfoVO;

import java.util.List;

public interface ContentService {

    /**
     *
     * @param dto
     * @return contentId 新增动态id
     */
    String addNews(ContentAddDto dto) throws ApiException;

    /**
     * 删除动态
     * @param contentId
     */
    void deleteContent(String contentId);

    /**
     * 更新动态信息
     * @param dto
     */
    void updateContent(ContentUpdateDto dto) throws ApiException;

    /**
     * 查询动态列表
     */
    List<HyContentInfoVO> queryContentList(ContentQueryListDto dto);

    /**
     * 查询动态列表 C 端用
     */
    List<HyContentInfoVO> queryContentListToC(ContentQueryListDto dto);

    /**
     * 查询动态详情
     * @param contentId
     * @return
     */
    HyContentInfoDO queryContentInfo(String contentId);

    /**
     * 标题是否重复
     */
    Boolean queryTitles(String title);

}
